G22-2024 - Feature #1315

Start Doxygen commenting
12/16/2024 11:46 AM - Jiaye DING

Status: Resolved
Priority: Normal
Assignee: Jiaye DING
Category:

Target version:

% Done:

Start date:

Due date:

Estimated time:

Spent time:

12/16/2024
01/08/2025
100%

4.00 hours
4.00 hours

Description

In this project, we will use Doxygen to comment the code in detail and automatically generate technical documentation for future

project expansion and maintenance.

History

#1 - 12/20/2024 03:49 PM - Jiaye DING
- % Done changed from 0 to 30

#2 - 12/20/2024 03:55 PM - Jiaye DING
- % Done changed from 30 to 0

#3 - 01/08/2025 12:08 AM - Jiaye DING
- File config.py added

- Due date set to 01/08/2025

- Status changed from New to Resolved
- Assignee set to Jiaye DING

- % Done changed from 0 to 100

- Estimated time set to 4.00 h

Doxygen-style comments to config.py

#4 - 01/08/2025 12:10 AM - Jiaye DING
- File display_img.py added

Doxygen-style comments to display_img

#5 - 01/08/2025 12:12 AM - Jiaye DING
- File img_processor.py added

Doxygen-style comments to img_processor

#6 - 01/08/2025 12:14 AM - Jiaye DING
- File main_stitcher.py added

Doxygen-style comments to main_stitcher

Files

config.py 2.18 KB 01/07/2025 Jiaye DING

display_img.py 2.18 KB 01/07/2025 Jiaye DING

img_processor.py 2.22 KB 01/07/2025 Jiaye DING

main_stitcher.py 1.18 KB 01/07/2025 Jiaye DING
